.ci-query-posts-block .query-posts-card {
	display: flex;
	flex-direction: column;
	padding: 1.5rem;
	border-radius: 2rem;
	background-color: #E1F0FA;
	transition: all 0.3s ease;
}
.ci-query-posts-block .query-posts-card.white-card {
	background-color: #fff;
}
.ci-query-posts-block .query-posts-card a.post-title {
	text-decoration: none;
}
.ci-query-posts-block .query-posts-card a.post-title h3 {
	font-size: 3.6rem;
	font-weight: normal;
	line-height: 1.1;
	letter-spacing: -1.92px;
	text-transform: none;
	color: #001A2A;
	margin-bottom: 1rem;
}
.ci-query-posts-block .query-posts-card a.post-title h3 .latin-name {
	color: #5B798C;
	font-style: italic;
	font-weight: 300 !important;
}
.ci-query-posts-block .query-posts-card a.post-title:hover h3 {
	color: #001A2A;
}
.ci-query-posts-block .query-posts-card p {
	color: #001A2A;
}
.ci-query-posts-block .query-posts-card .tag-line-date {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 2rem;
	margin-bottom: 3rem;
}
.ci-query-posts-block .query-posts-card .date {
	display: inline-flex;
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.2rem;
	text-align: center;
	text-transform: uppercase;
	color: #001A2A;
}
.ci-query-posts-block .query-posts-card .image-wrapper {
	display: block;
	position: relative;
	aspect-ratio: 1/1;
	height: auto;
	width: 100%;
	min-height: 30rem;
}
@media (max-width: 769px) {
	.ci-query-posts-block .query-posts-card .image-wrapper {
		position: relative;
		aspect-ratio: 16/9;
		width: 100%;
	}
}
@media (min-width: 1920px) {
	.ci-query-posts-block .query-posts-card .image-wrapper {
		min-height: 37rem;
	}
}
.ci-query-posts-block .query-posts-card .image-wrapper img {
	object-fit: cover;
	object-position: center;
	width: 100%;
	height: 100%;
	border-radius: 2rem;
	transition: all 0.3s ease-in-out;
}
.ci-query-posts-block .query-posts-card .image-wrapper .info-icon {
	position: absolute;
	bottom: 1rem;
	left: 1rem;
}
.ci-query-posts-block .query-posts-card:hover {
	background: #fff;
}
.ci-query-posts-block .query-posts-card:hover .image-wrapper {
	transform: scale(1.03);
}
.ci-query-posts-block .search-date {
	position: relative;
	z-index: 10;
	display: flex;
	flex-wrap: wrap;
	gap: 3rem;
	padding: 2rem;
	border-radius: 2rem;
	background-color: #E1F0FA;
	margin-bottom: 2rem;
	align-items: center;
}
.ci-query-posts-block .search-date .facetwp-facet {
	margin-bottom: 0;
	display: flex;
	gap: 3rem;
}
.ci-query-posts-block .search-date div:last-child {
	margin-left: auto;
}
@media screen and (max-width: 768px) {
	.ci-query-posts-block .search-date {
		flex-direction: column;
		gap: 2rem;
		align-items: stretch;
	}
	.ci-query-posts-block .search-date div:last-child {
		margin-left: 0;
	}
	.ci-query-posts-block .search-date .facetwp-facet-start_date_end_date {
		flex-direction: column;
		gap: 2rem;
	}
	.ci-query-posts-block .search-date div:first-child {
		width: 100%;
		max-width: 45rem;
	}
	.ci-query-posts-block .search-date .facetwp-facet-search input {
		max-width: 100%;
	}
	.ci-query-posts-block .search-date .facetwp-facet-search .facetwp-input-wrap {
		width: 100%;
	}
}
.ci-query-posts-block .facetwp-facet input.facetwp-search,
.ci-query-posts-block .facetwp-facet input.facetwp-location,
.ci-query-posts-block .facetwp-facet input {
	position: relative;
	margin: 0;
	max-width: 18rem;
	padding: 0.8rem 2rem;
	text-transform: uppercase;
	font-family: var(--wp--preset--font-family--geologica);
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.3rem;
	vertical-align: middle;
	text-transform: uppercase;
	color: #001A2A;
	max-height: 4rem;
	background: transparent;
	border: 0;
}
.ci-query-posts-block .facetwp-facet input.facetwp-search -webkit-input-placeholder,
.ci-query-posts-block .facetwp-facet input.facetwp-location -webkit-input-placeholder,
.ci-query-posts-block .facetwp-facet input -webkit-input-placeholder {
	text-transform: uppercase;
}
@media screen and (max-width: 768px) {
	.ci-query-posts-block .facetwp-facet input.facetwp-search,
	.ci-query-posts-block .facetwp-facet input.facetwp-location,
	.ci-query-posts-block .facetwp-facet input {
		max-width: 100%;
		width: 100%;
	}
}
.ci-query-posts-block .facetwp-facet input.facetwp-search {
	position: static;
}
.ci-query-posts-block .facetwp-input-wrap,
.ci-query-posts-block .custom-dropdown-wrapper {
	display: block;
	position: relative;
	--scale-x: 1;
	--scale-y: 1;
	--bg: #fff;
}
.ci-query-posts-block .facetwp-input-wrap:after,
.ci-query-posts-block .custom-dropdown-wrapper:after {
	content: "";
	position: absolute;
	z-index: -1;
	inset: 0;
	width: 100%;
	height: 100%;
	display: block;
	border-radius: 1rem;
	background-color: var(--bg);
	transform: scale(var(--scale-x, 1), var(--scale-y, 1));
	transform-origin: center center;
}
.ci-query-posts-block .facetwp-input-wrap:hover,
.ci-query-posts-block .custom-dropdown-wrapper:hover {
	cursor: pointer;
}
.ci-query-posts-block .facetwp-facet-start_date_end_date input:webkit-input-placeholder,
.ci-query-posts-block .facetwp-facet-start_date_end_date .custom-dropdown-toggle,
.ci-query-posts-block .facetwp-facet-start_date_end_date .custom-dropdown-menu {
	text-align: center;
}
.ci-query-posts-block .facetwp-facet-start_date_end_date input::-webkit-input-placeholder,
.ci-query-posts-block .facetwp-facet-search input::-webkit-input-placeholder,
.ci-query-posts-block .custom-dropdown-toggle,
.ci-query-posts-block .custom-dropdown-menu {
	font-family: var(--wp--preset--font-family--geologica);
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.3rem;
	vertical-align: middle;
	text-transform: uppercase;
	color: #001A2A;
}
.ci-query-posts-block .facetwp-icon {
	right: 0.9rem;
	opacity: 1;
}
.ci-query-posts-block .facetwp-icon:before {
	display: inline-block;
	content: "";
	width: 30px;
	height: 100%;
	background: url(images/srch-ico.svg) no-repeat;
	background-position: 5px 50%;
	background-size: 20px 20px;
	opacity: 1;
}
.ci-query-posts-block .facetwp-facet-clear button {
	position: relative;
	height: 4rem;
	padding: 0.8rem 2rem;
	text-transform: uppercase;
	font-family: var(--wp--preset--font-family--geologica);
	font-weight: 600;
	font-size: 1.8rem;
	letter-spacing: 0.3rem;
	border-radius: 1rem;
	border: 0;
	background: transparent;
	color: #001A2A;
	--scale-x: 1;
	--scale-y: 1;
}
.ci-query-posts-block .facetwp-facet-clear button::after {
	content: "";
	position: absolute;
	z-index: -1;
	inset: 0;
	width: 100%;
	height: 100%;
	display: block;
	background: #A7E2FF;
	border-radius: 1rem;
	transform: scale(var(--scale-x, 1), var(--scale-y, 1));
	transform-origin: center center;
}
.ci-query-posts-block .facetwp-facet-clear button:hover {
	cursor: pointer;
}
.ci-query-posts-block .facetwp-facet-pagination {
	min-height: 4rem;
	margin: 3rem 0;
	word-break: normal;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager {
	position: relative;
	z-index: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page {
	position: relative;
	word-break: normal;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0;
	width: 4rem;
	height: 4rem;
	background: #fff;
	border-radius: 50%;
	text-decoration: none;
	border: 0;
	background: transparent;
	color: #001A2A;
	--scale: 1;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page::after {
	opacity: 0;
	content: "";
	display: block;
	position: absolute;
	z-index: -1;
	inset: 0;
	width: 100%;
	height: 100%;
	border-radius: 50%;
	background: #A7E2FF;
	transform: scale(var(--scale, 1));
	transform-origin: center center;
	transition: opacity 0.1s ease;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page:hover {
	color: #001A2A;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page:hover::after {
	opacity: 1;
}
.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.active::after {
	opacity: 1;
	background: #A7E2FF;
}
@media screen and (max-width: 769px) {
	.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager {
		gap: 0.5rem;
	}
	.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page {
		width: 3rem;
		height: 3rem;
		font-size: 1.5rem;
	}
	.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.dots, .ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.prev, .ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.next {
		padding: 0;
		width: auto;
	}
	.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.dots.active:after, .ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.prev.active:after, .ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page.next.active:after {
		opacity: 0;
	}
	.ci-query-posts-block .facetwp-facet-pagination .facetwp-pager .facetwp-page:hover:after {
		opacity: 0;
	}
}
.ci-query-posts-block #facet-hidden {
	position: absolute;
	opacity: 0;
	pointer-events: none;
	visibility: hidden;
}
.ci-query-posts-block .filter-and-controls,
.ci-query-posts-block .query-filters {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	font-weight: 500;
}
@media (max-width: 1100px) {
	.ci-query-posts-block .filter-and-controls,
	.ci-query-posts-block .query-filters {
		flex-direction: column;
	}
}
.ci-query-posts-block .query-filters {
	margin-bottom: 2rem;
}
@media screen and (max-width: 768px) {
	.ci-query-posts-block .query-filters {
		display: none;
	}
}
.ci-query-posts-block .query-filters-mobile {
	display: none;
	margin: 1rem 0 3rem;
	padding: 2rem;
	border-radius: 2rem;
	background-color: #E1F0FA;
}
@media screen and (max-width: 768px) {
	.ci-query-posts-block .query-filters-mobile {
		display: block;
	}
}
.ci-query-posts-block .filter-label {
	font-family: var(--wp--preset--font-family--geologica);
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.3rem;
	vertical-align: middle;
	text-transform: uppercase;
	width: 12%;
	color: #001A2A;
}
@media (max-width: 1100px) {
	.ci-query-posts-block .filter-label {
		display: block;
		text-align: center;
		width: 100%;
		margin-bottom: 2rem;
	}
}
@media screen and (max-width: 768px) {
	.ci-query-posts-block .filter-label {
		text-align: left;
		padding-left: 2rem;
	}
}
.ci-query-posts-block .filter-and-controls {
	width: 88%;
}
@media (max-width: 1100px) {
	.ci-query-posts-block .filter-and-controls {
		flex-direction: row;
		width: 100%;
	}
}
.ci-query-posts-block .swiper {
	width: 86%;
	height: 8rem;
	border: 2px solid #E1F0FA;
	border-radius: 4rem;
	margin-left: 0;
	padding: 0 0.8rem 0 0.5rem;
}
@media (max-width: 1115px) {
	.ci-query-posts-block .swiper {
		width: 84%;
	}
}
@media (max-width: 1100px) {
	.ci-query-posts-block .swiper {
		width: calc(100% - 13rem);
	}
}
.ci-query-posts-block .swiper .swiper-slide {
	display: flex;
	justify-content: center;
	align-items: center;
	width: auto;
	padding: 0.3rem 1rem;
	font-family: Geologica;
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.3rem;
	vertical-align: middle;
	text-transform: uppercase;
	text-align: center;
	background: transparent;
}
.ci-query-posts-block .swiper .swiper-slide a {
	text-decoration: none;
}
.ci-query-posts-block .swiper .swiper-slide a.btn {
	color: #001A2A;
}
.ci-query-posts-block .swiper .swiper-slide a.btn:before {
	background: transparent;
	transition: background 0.2s ease;
}
.ci-query-posts-block .swiper .swiper-slide a.btn:hover:before {
	background: #A7E2FF;
}
.ci-query-posts-block .swiper .swiper-slide.active a.btn {
	color: #001A2A;
}
.ci-query-posts-block .swiper .swiper-slide.active a.btn:before {
	background: #A7E2FF;
}
.ci-query-posts-block .swiper-button-next,
.ci-query-posts-block .swiper-button-prev {
	position: static;
	width: 5rem;
	height: 5rem;
	outline: 2px solid #001A2A;
	border-radius: 3.5rem;
	margin: 0 1.5rem 0 0;
	text-align: center;
}
.ci-query-posts-block .swiper-button-next:after,
.ci-query-posts-block .swiper-button-prev:after {
	color: #001A2A;
	transform: scale(0.4);
}
.ci-query-posts-block .swiper-button-next {
	margin-right: 0;
}
.ci-query-posts-block .custom-dropdown {
	position: relative;
	display: inline-block;
	width: 100%;
	cursor: pointer;
}
.ci-query-posts-block .custom-dropdown-toggle {
	padding: 0.8rem 1.5rem;
}
.ci-query-posts-block .custom-dropdown-menu {
	display: block;
	position: absolute;
	z-index: 100;
	top: 130%;
	left: 0;
	right: 0;
	margin: 0;
	padding: 1rem;
	border-radius: 2rem;
	list-style: none;
	border-top: none;
	max-height: 30rem;
	overflow-y: auto;
	background: #fff;
	-webkit-box-shadow: 0 6px 16px 1px rgba(0, 0, 0, 0.1);
	box-shadow: 0 6px 16px 1px rgba(0, 0, 0, 0.1);
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	transition: all 0.3s ease;
}
.ci-query-posts-block .custom-dropdown-menu.open {
	opacity: 1;
	visibility: visible;
	pointer-events: all;
}
.ci-query-posts-block .custom-dropdown-menu li {
	padding: 1rem 1.5rem;
	border-bottom: 1px solid #eee;
	transition: background 0.3s ease;
}
.ci-query-posts-block .custom-dropdown-menu li:hover {
	background: #E1F0FA;
}
.ci-query-posts-block .filter-and-controls-mobile {
	position: relative;
}
.ci-query-posts-block .fake-select {
	position: relative;
	display: inline-block;
	cursor: pointer;
	padding-right: 3.5rem;
	user-select: none;
	max-width: 100%;
	width: 100%;
}
.ci-query-posts-block .fake-select:after {
	content: "";
	position: absolute;
	right: 0;
	top: 50%;
	transform: translateY(-50%);
	pointer-events: none;
	width: 1.9rem;
	aspect-ratio: 1/2;
	background-image: url(images/arrow-right.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	transition: all 0.3s ease;
}
.ci-query-posts-block .fake-select[aria-expanded=true]:after {
	transform: translateY(-50%) rotate(90deg);
}
.ci-query-posts-block .fake-select__label {
	display: block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	padding: 1.4rem 0.7rem 1.4rem 1.8rem;
	border-radius: 3rem;
	border: 3px solid #ADC8D9;
	font-family: var(--wp--preset--font-family--geologica);
	font-size: 1.8rem;
	font-weight: 600;
	letter-spacing: 0.3rem;
	text-transform: uppercase;
	max-width: 100%;
	color: #001A2A;
}
.ci-query-posts-block .fake-select__list {
	position: absolute;
	left: 0;
	top: 100%;
	width: 100%;
	background: #fff;
	list-style: none;
	padding: 2rem 0;
	display: none;
	z-index: 10;
	margin: 0;
	color: #001A2A;
}
.ci-query-posts-block .fake-select__list:before {
	content: "";
	position: absolute;
	top: 0;
	left: -2rem;
	width: calc(100% + 4rem);
	height: 100%;
	background-color: #E1F0FA;
	border-bottom-left-radius: 2rem;
	border-bottom-right-radius: 2rem;
	overflow: hidden;
	pointer-events: none;
	box-shadow: 1px 7px 5px -4px rgba(0, 0, 0, 0.2);
}
.ci-query-posts-block .fake-select[aria-expanded=true] .fake-select__list {
	display: block;
}
.ci-query-posts-block .fake-select__option {
	position: relative;
	z-index: 2;
	margin-bottom: 2rem;
	padding: 0.8rem 1rem 0.8rem 2rem;
	cursor: pointer;
	font-family: var(--wp--preset--font-family--geologica);
	font-size: 1.8rem;
	font-weight: 600;
	letter-spacing: 0.3rem;
	text-transform: uppercase;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	background-color: #fff;
	border-radius: 1.2rem;
	transition: all 0.3s ease;
	color: #001A2A;
}
.ci-query-posts-block .fake-select__option:hover, .ci-query-posts-block .fake-select__option.selected {
	background-color: #ADC8D9;
}
.ci-query-posts-block .fake-select__option:last-child {
	margin-bottom: 0;
}



/*//////*/
/* Container Layout */
.custom-filter-container {
	position: relative;
	flex-grow: 1;
	display: flex;
	gap: 3rem;
	@media (max-width: 769px) {
		flex-direction: column;
		gap: 2rem;
		.filter-body {
			top: 5rem;
		}
	}
}

.filter-header {
	display: none;
	justify-content: space-between;
	align-items: center;
	padding: 0.8rem 5rem 0.8rem 2rem;
	position: relative;
}

/* Buttons */
.filter-toggle {
	cursor: pointer;
	font-family: var(--wp--preset--font-family--geologica);
	font-weight: 600;
	font-size: 1.8rem;
	line-height: 2rem;
	letter-spacing: 0.3rem;
	vertical-align: middle;
	text-transform: uppercase;
	color: #001A2A;
	&:after {
		content: "";
		position: absolute;
		width: 18px;
		height: 18px;
		background: url(images/arrow-up.svg) no-repeat;
		background-size: 18px 18px;
		right: 2rem;
		transition: transform 0.3s ease;
		top: 50%;
		transform: translateY(-50%) rotate(180deg);
	}
	&.open:after {
		transform: translateY(-50%) rotate(0deg);
	}
}


/* Dropdown Body */
.filter-body {
	display: none;
	background-color: #ffffff;
	border-radius: 16px;
	padding: 2.7rem 3.1rem;
	position: absolute;
	width: 100%;
	box-sizing: border-box;
	z-index: 10;
	box-shadow: 0 4px 6px rgba(0,0,0,0.05);
	top: calc(100% + 1rem);
}

/* Show dropdown when active class is added via JS */
.filter-body.active {
	display: block;
}

/* Separator Line */
.facet-separator {
	border: 0;
	border-top: 1px solid #dcdcdc;
	margin: 15px 0;
}

/* Chevron Animation */
.chevron {
	display: inline-block;
	transition: transform 0.3s ease;
}
.filter-toggle.open .chevron {
	transform: rotate(180deg);
}

/* FacetWP Overrides (Optional to match design exactly) */
.facetwp-checkbox {
	margin-bottom: 8px;
}

.custom-filter-container #filter-dropdown-body .facetwp-facet-category_filter_dropdown,
.custom-filter-container #filter-dropdown-body .facetwp-facet-content_category_filter_dropdown_copy {
	display: block;
	.facetwp-counter {
		display: none;
	}
}
#filter-dropdown-body {
	.facet-separator {
		margin: 1.8rem 0;
	}
	.facetwp-checkbox {
		background: url(images/checkbox.svg) 0 50% no-repeat;
		background-size: 28px 28px;
		padding-left: 3.8rem;

		span.facetwp-display-value {
			font-family: Inter;
			font-weight: 500;
			font-style: Medium;
			font-size: 2rem;
			leading-trim: NONE;
			line-height: 2.8rem;
			letter-spacing: 0%;
			vertical-align: middle;
		}
	}
	.facetwp-checkbox.checked {
		background: url(images/checkbox.checked.svg) 0 50% no-repeat;
		background-size: 28px 28px;
		span.facetwp-display-value {
			font-weight: 700;
			font-style: Bold;
			font-size: 2rem;
			leading-trim: NONE;
			line-height: 2.8rem;
			letter-spacing: 0%;
			vertical-align: middle;
		}
	}
}